Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
wifi_broadcom_bcm43xx [Le 13/02/2015, 17:44]
cafecho [Puces Wi-fi Broadcom® BCM43...] coquille
wifi_broadcom_bcm43xx [Le 04/07/2018, 20:45] (Version actuelle)
L'Africain maj bionic
Ligne 1: Ligne 1:
-{{tag>Precise Trusty ​matériel ​wi-fi}}+{{tag>Bionic ​matériel ​wifi}}
  
 ---- ----
Ligne 10: Ligne 10:
 Certaines puces wi-fi Broadcom® nécessitent un micrologiciel (appelé aussi [[wpfr>​firmware]]) devant être chargé sur la puce wi-fi pour qu'​elle puisse fonctionner. Propriétaire et protégé par Broadcom®, ce micrologiciel ne peut pas être disponible depuis le média d'​installation ou les [[:​depots|dépôts Ubuntu]].\\ Par contre, Ubuntu fournit dans ces dépôts un installateur qui téléchargera le micrologiciel à partir d'un point de distribution légal et l'​installera avec le pilote sur votre système. Votre connexion internet wi-fi n'​étant pas encore opérationnelle,​ vous aurez donc besoin d'une autre connexion active pour l'​installer (par câble Ethernet, par exemple). \\ //(Si vous n'avez aucune possibilité de vous connecter, voir comment [[#​installer le micrologiciel sans internet]] au chapitre [[#​Installer le micrologiciel sans internet|problèmes connus]].)// ​ Certaines puces wi-fi Broadcom® nécessitent un micrologiciel (appelé aussi [[wpfr>​firmware]]) devant être chargé sur la puce wi-fi pour qu'​elle puisse fonctionner. Propriétaire et protégé par Broadcom®, ce micrologiciel ne peut pas être disponible depuis le média d'​installation ou les [[:​depots|dépôts Ubuntu]].\\ Par contre, Ubuntu fournit dans ces dépôts un installateur qui téléchargera le micrologiciel à partir d'un point de distribution légal et l'​installera avec le pilote sur votre système. Votre connexion internet wi-fi n'​étant pas encore opérationnelle,​ vous aurez donc besoin d'une autre connexion active pour l'​installer (par câble Ethernet, par exemple). \\ //(Si vous n'avez aucune possibilité de vous connecter, voir comment [[#​installer le micrologiciel sans internet]] au chapitre [[#​Installer le micrologiciel sans internet|problèmes connus]].)// ​
  
-Pour les autres puces ne nécessitant pas de frimware ​(les plus récentes), Broadcom® fournit un pilote [[wpfr>​Logiciel_propriétaire|propriétaire]] nommé "​Broadcom 802.11 Linux STA driver"​ pour %%GNU/​Linux%%. ​ Ce pilote est disponible depuis les [[:​dépôts]] et le support d'​installation. Au cours de l'​installation d'​Ubuntu,​ l'​installateur détectera votre puce wifi Broadcom® et si nécessaire,​ installera ce pilote.+Pour les autres puces ne nécessitant pas de firmware ​(les plus récentes), Broadcom® fournit un pilote [[wpfr>​Logiciel_propriétaire|propriétaire]] nommé "​Broadcom 802.11 Linux STA driver"​ pour %%GNU/​Linux%%. ​ Ce pilote est disponible depuis les [[:​dépôts]] et le support d'​installation. Au cours de l'​installation d'​Ubuntu,​ l'​installateur détectera votre puce wifi Broadcom® et si nécessaire,​ installera ce pilote.
  
-<note help>La suite ne vous concerne donc que si la détection automatique à l'​installation a échoué ou si votre puce Broadcom® est mal pris en charge voire pas du tout. (Les cas par exemple pour une puce nécessitant un [[wpfr>​firmware|micrologiciel]] propriétaire protégé par Broadcom® ou encore une puce trop récente ayant besoin d'une version supérieure du pilote "​Broadcom 802.11 Linux STA driver"​ pour être correctement fonctionnelle).</​note>​+<note help>La suite ne vous concerne donc que si la détection automatique à l'​installation a échoué ou si votre puce Broadcom® est mal prise en charge voire pas du tout. (Les cas par exemple pour une puce nécessitant un [[wpfr>​firmware|micrologiciel]] propriétaire protégé par Broadcom® ou encore une puce trop récente ayant besoin d'une version supérieure du pilote "​Broadcom 802.11 Linux STA driver"​ pour être correctement fonctionnelle).</​note>​
  
  
Ligne 22: Ligne 22:
  
 ===== Identifier correctement sa puce =====  ===== Identifier correctement sa puce ===== 
-Avant de commencer, il est nécessaire d'​identifier correctement sa puce pour savoir si elle nécessite un micrologiciel et lequel. Dans un [[:​terminal]],​ saisir la [[:​commande_shell|commande]] suivante:<​code>​lspci -vvnn | grep 14e4</​code>​Le terminal vous répondra quelque chose comme ça : <​code>​02:​00.0 Network controller [0280]: Broadcom Corporation ​BCM43142 ​802.11b/g/n [14e4:4365] (rev 01)</​code>​**BCM43142** est le nom de la puce, et **[14e4:4365]** son ID-PCI. Vous aurez besoin de ces deux identifiants pour bien cibler le bon pilote.+Avant de commencer, il est nécessaire d'​identifier correctement sa puce pour savoir si elle nécessite un micrologiciel et lequel. Dans un [[:​terminal]],​ saisir la [[:​commande_shell|commande]] suivante:<​code>​lspci -nn -d 14e4:</​code>​Le terminal vous répondra quelque chose comme ça : <​code>​02:​00.0 Network controller [0280]: Broadcom Corporation ​BCM4318 ​802.11b/g/n [14e4:4318] (rev 01)</​code>​**BCM4318** est le nom de la puce, et **[14e4:4318]** son ID-PCI. Vous aurez besoin de ces deux identifiants pour bien cibler le bon pilote.
   ​   ​
-=====Quel pilote utiliser ?=====+=====Quel pilote/​firmware ​utiliser ?=====
  
-^ Puce ^ Pilote ([[:​tutoriel/​comment_installer_un_paquet|paquet à installer]]) ^ Commentaires ^+^ Puce ^ Pilote ​ou firmware ​([[:​tutoriel/​comment_installer_un_paquet|paquet à installer]]) ^ Commentaires ^
 |BCM4301| **[[apt>​firmware-b43legacy-installer]]** |  | |BCM4301| **[[apt>​firmware-b43legacy-installer]]** |  |
 |BCM4306| **[[apt>​firmware-b43legacy-installer]]** |  | |BCM4306| **[[apt>​firmware-b43legacy-installer]]** |  |
 |BCM4306/2| **[[apt>​firmware-b43legacy-installer]]** |  | |BCM4306/2| **[[apt>​firmware-b43legacy-installer]]** |  |
-|BCM4306/3| **[[apt>​firmware-b43-installer]]** |  +|BCM4306/3| **[[apt>​firmware-b43-installer]]** | (rev 03) 
-|BCM4311 (sauf ID-PCI **14e4:​4313**) | **[[apt>​firmware-b43-installer]]** |La puce BCM4311 avec l' ID-PCI **14e4:​4313** est normalement prise en charge par le pilote "​Broadcom 802.11 Linux STA driver"​.| +|BCM4311 (sauf ID-PCI **14e4:​4313**) | **[[apt>​firmware-b43-installer]]** |La puce BCM4311 avec l' ID-PCI **14e4:​4313** est normalement prise en charge par le pilote "​Broadcom 802.11 Linux STA driver"​. ​Sur certains ordinateurs il faut aussi aller dans le bios bidouiller les options wifi. modèle DW 1390
-|BCM4312 (avec basse-consommation c'est à dire LP-PHY) | **[[apt>​firmware-b43-installer]] ** |:!: [[:​precise|Precise 12.04]], utiliser l'​installateur ​ **[[apt>​firmware-b43-lpphy-installer]]**.+|BCM4312 (avec basse-consommation c'est à dire LP-PHY) | **[[apt>​firmware-b43-installer]] ** |:!: | 
-|BCM4318| **[[apt>​firmware-b43-installer]] ** |  |+|BCM4318| **[[apt>​firmware-b43-installer]] ** | Modèle AirForce One 54g |
 |BCM4321| **[[apt>​firmware-b43-installer]] ** |Prise en charge partielle.| |BCM4321| **[[apt>​firmware-b43-installer]] ** |Prise en charge partielle.|
 |BCM4322 (Uniquement ID-PCI **14e4:​432b**)| **[[apt>​firmware-b43-installer]] ** |La puce BCM4322 avec d'​autres ID-PCI est normalement prise en charge par le pilote "​Broadcom 802.11 Linux STA driver"​. | |BCM4322 (Uniquement ID-PCI **14e4:​432b**)| **[[apt>​firmware-b43-installer]] ** |La puce BCM4322 avec d'​autres ID-PCI est normalement prise en charge par le pilote "​Broadcom 802.11 Linux STA driver"​. |
-|[[#autres puces|Autres puces ne nécessitant pas de firmware]] | **Broadcom 802.11 Linux STA driver** |Exemple d'une puce récente nécessitant une version supérieure du pilote "​Broadcom 802.11 Linux STA driver"​ disponible dans les dépôts. ​Plusieurs solutions sont possibles: \\ **-** Si elle est disponible, utiliser la version à jour depuis le [[:​depots#​proposed|dépôt proposed]] //( :-) Avantage d'un dépôt, pas de recompilation à chaque changement de noyau).// \\ ou: \\ **-** Faire la mise à jour de ce pilote [[#via le site officiel]]|+|BCM4328| **[[apt>​broadcom-sta-source]] ** via le [[:​gestionnaire de pilotes propriétaires|gestionnaire de pilotes additionnel]] ​ | Si problème voir la partie [[#Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut|plus bas]]. | 
 +|BCM43142| **[[apt>​broadcom-sta-source]] ** via le [[:​gestionnaire de pilotes propriétaires|gestionnaire de pilotes additionnel]] ​ | Il est également possible d'​installer le paquet **[[apt>​broadcom-sta-dkms]]** qui s'​avère plus simple d'​utilisation. Si problème voir la partie [[#Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut|plus bas]]. | 
 +|BCM5787A| **[[apt>​broadcom-sta-source]] ** via le [[:​gestionnaire de pilotes propriétaires|gestionnaire de pilotes additionnel]] ​ | Pilote libre et propriétaire bug suite a utilisation du bouton LED désactivation. HP a évoqué un bug dans le BIOS et a publié un correctif mais il n'a rien changé. Fonctionne partiellement. Si problème voir la partie [[#Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut|plus bas]]. | 
 +|[[#autres puces|Autres puces ne nécessitant pas de firmware]] | **Broadcom 802.11 Linux STA driver** |Exemple d'une puce récente nécessitant une version supérieure du pilote "​Broadcom 802.11 Linux STA driver" ​à celle disponible dans les dépôts. Faire la mise à jour de ce pilote [[#via le site officiel]]\\ :!: |
  
 Sources: Sources:
-  * [[http://​linuxwireless.sipsolutions.net/​en/​users/​Drivers/​b43/​|Wirless.kernek.org (en)]] ​+  * [[http://​linuxwireless.sipsolutions.net/​en/​users/​Drivers/​b43/​|Wirless.kernel.org (en)]] ​
   * Descriptifs des paquets   * Descriptifs des paquets
-  * [[http://​www.broadcom.com/​support/​802.11/linux_sta.php|Fichier README du site officiel (en)]]+  * [[http://​www.broadcom.com/​docs/linux_sta/​README_6.30.223.248.txt|Fichier README du site officiel (en)]]
  
-=====Autres puces===== 
-Pour résoudre les problèmes des autres puces wi-fi Broadcom®, (Cas par exemple d'une puce très récente qui n'est pas encore prise en compte), une solution consiste à mettre à jour pilote propriétaire "​Broadcom 802.11 Linux STA driver"​ des [[:​depots|dépôts Ubuntu]] soit: 
-  * [[#Via le dépôt Proposed|en utilisant la version du dépôt proposed]] si elle existe, 
-  * [[#Via le site officiel|à l'aide de celui proposé sur le site officiel]]. 
  
-====Via le dépôt Proposed==== +=====Via le site officiel===== 
-Pour [[:Trusty|Trusty 14.04]] et [[:Precise|Precise 12.04]], la version disponible ​du pilote "​Broadcom 802.11 Linux STA driver"​ ne couvre ​pas encore les récentes puces wi-fi Broadcom®La solution consiste à utiliser une version ​plus récente ​du pilote à disposition dans les [[:depots#​proposed|dépôts Proposed]] (appelés aussi "​préversion"​).\\ +<note important>​ L'​installation de paquets hors des [[:depots|dépôts officiels]] peut présenter un risque d'​instabilité de votre système.</​note>​ 
 +Pour résoudre les problèmes des autres puces wi-fi Broadcom®, (Cas par exemple d'une puce très récente qui n'est pas encore prise en compte par le pilote propriétaire "​Broadcom 802.11 Linux STA driver"​ des [[:​depots|dépôts officiels]]), une solution consiste à mettre à jour le pilote propriétaire "​Broadcom 802.11 Linux STA driver"​ des [[:depots|dépôts Ubuntu]] à l'aide de celui proposé sur le site officiel\\ 
 + //( 8-) Il est possible de faire une installation complète du pilote disponible depuis le site officiel Broadcom® ​ mais la mise à jour est une procédure bien plus facile car le pilote précédemment installé depuis les dépôts aura déjà préparé les pré-requis.)//​ 
 +  - À l'aide du [[:​gestionnaire de pilotes propriétaires|gestionnaire de pilotes additionnel]], vérifier l'​installation ​du pilote "​Broadcom 802.11 Linux STA driver"​. (Si ce n'est pas le cas, voir [[#Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'​est ​pas installé par défaut|ce chapitre]]). 
 +  ​Sur cette [[http://​www.broadcom.com/​support/?​gid=1|page du site officiel Broadcom®]],​ vous trouverez la dernière ​version du pilote à utiliser (32 ou 64bit selon votre [[:architecture matérielle]]) et le fichier .txt (en anglaisexpliquant la procédure de mise à jour du pilote.
  
-<​note ​importantLes [[:depots#​proposed|dépôts Proposed]] ne sont pas activés ​par défaut. Les paquets disponibles dans ceux-ci sont normalement proposés à des fins de test, ils peuvent donc être à l'​origine ​d'une instabilité de votre systèmeUne fois le paquet installé, pensez à désactiver l'​accès à ce dépôt au risque d'​avoir lors de la prochaine mise à jour, de nombreux paquets ​en versions supérieures et mal supportées. \\ +<​note ​help> 
-Dans le cas où par erreur vous auriez provoqué une mise à jour d'autres paquets présents dans les dépôts "​Proposed"​voir [[:gestionnaire_de_mises_a_jour#​mises_a_jour_en_preversion|ici]] pour revenir à une situation stable.</note+  * Sous Ubuntu, les [[:tutoriel/​tout_savoir_sur_les_modules_linux|modules]] des pilotes se trouvent dans le dossier **/​lib/​modules/<​nom_du_noyau>/​updates/​dkms/​** 
-Pour plus de sécurité nous utiliserons ​le gestionnaire de paquet [[:​Synaptic]] mais vous pouvez aussi bien utiliser le [[:​gestionnaire de mises à jour]] ou la [[:​Logithèque]]. +// Remplacer <​nom_du_noyau> ​par le nom complet du noyau en cours d'utilisationPour connaître ​le <​nom_du_noyau> ​en cours d'utilisationsaisir la [[:commande_shell|commande]]// <​code>​uname -r</code>  
-  - [[:​tutoriel/​comment_installer_un_paquet|Installer le paquet]] **[[apt>​synaptic]]** et lancer l'application;​ +  * Il est possible que le [[:​tutoriel/​tout_savoir_sur_les_modules_linux|module]] du pilote ​**wl.ko** ainsi créé ne soit pas chargé dynamiquement. C'est à dire qu'à à chaque ​mise à jour du [[wpfr>noyau Linux]], vous reviendrez ​à l'​ancienne version. \\ Après ​la mise à jour du [[:kernel|noyau Linux]], recommencez ​la procédure de mise à jour du pilote ​Broadcom® pour retrouver à nouveau votre wi-fi opérationnel.  
-  - Activer les dépôts Proposed: //(Menu "​Configuration"​ → "​dépôts"​ -> onglet "​Mises ​à jour", cocher la case **Mises ​à jour en préversion (*-proposed)**) //​{{:​materiel:​broadcom:​broadcom_proposed_1.png?​600|Logiciels & mises à jour}} +</​note>​
-  - Recharger;​ +
-  - Rechercher la paquet **bcmwl-kernel-source**,​ un clic dessus et dans le menu choisir "​Sélectionner pour mise à jour"​{{:​materiel:​broadcom:​broadcom_proposed_2.png?​700|}} +
-  - Appliquer;​ +
-  - Désactiver le dépôt Proposed: ​ //(Menu "​Configuration"​ → "​dépôts"​ -onglet "​Mises ​à jour", __dé__cocher ​la case **Mises ​à jour en préversion (*-proposed)**)//​ +
-  - Recharger et fermer ​[[:Synaptic]]+
-  - Redémarrer votre ordinateur pour prendre en compte ​la nouvelle version ​du pilote. +
-Si vous n'​obtenez toujours pas satisfaction,​ vous pouvez utiliser la toute dernière version du pilote [[#via le site officiel]].+
  
-====Via le site officiel==== +====Installer ​le micrologiciel sans internet ​====
- La procédure pour le mettre à jour se déroule en 2 temps: La [[#​construction du pilote|construction]] et l'​[[#​installation|installation]].\\ +
-([[http://​www.broadcom.com/​support/​802.11/​linux_sta.php|Source:​ Fichier d'​installation README.txt (en) du site officiel]])\\ +
- +
-Mais avant de commencer, nous avons besoin des outils de compilation du [[:​kernel|noyau]]. Normalement,​ ces outils sont installés par défaut dans Ubuntu. Si ce n'​était pas le cas, [[:​tutoriel/​comment_installer_un_paquet|installer les paquets]] **[[apt>​build-essential]]** et **[[apt> linux-headers-generic]]**+
  <​note important>​ L'​installation de paquets hors des dépôts officiels peut présenter un risque d'​instabilité de votre système</​note>​  <​note important>​ L'​installation de paquets hors des dépôts officiels peut présenter un risque d'​instabilité de votre système</​note>​
-  - À l'aide du [[:​gestionnaire de pilotes propriétaires|gestionnaire de pilotes additionnel]]vérifier l'​installation du pilote "Broadcom ​802.11 Linux STA driver"​. (Si ce n'est pas le cas, voir [[#Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut|ce chapitre]]). +Il peut arriver que vous ayez des difficultés à accéder à internetet donc à installer correctement le micrologiciel ​Broadcom ​®\\ 
-  - Récupérer et déposer dans votre dossier personnel l'​archive de la toute dernière version du pilote ​depuis le [[http://​www.broadcom.com/support/802.11/​linux_sta.php|site officiel, ​ici]]+Dans ce cas: 
-  ​[[:​archivage|Extraire l'​archive]] récupéré.  +  - Téléchargez le pilote [[http://​www.lwfinger.com/b43-firmware/broadcom-wl-5.100.138.tar.bz2|ici]] ​et sauvegardez-le sur un support externe,
-// (La suite se fera depuis ​un [[:​terminal]] en [[:​commande_shell|lignes de commandes]])//​+
  
-===Construction du pilote=== +  - Copiez [[:​archivage|l'​archive]] dans votre dossier personnel, 
-  - Se rendre ​dans le dossier ​extrait ​<​code>​cd hybrid*</​code>​ +  - Puis dans le dossier ​///​lib/​firmware/​ // avec la commande suivante que vous entrez dans un [[:​terminal]]:​<​code>​sudo cp broadcom-wl-5.100.138.tar.bz2 /​lib/​firmware/​</​code>​ 
-  - Construire ​le pilote pour être chargé comme un [[:tutoriel/​tout_savoir_sur_les_modules_linux|module du noyau Linux]] ([[wpfr>​Loadable_Kernel_Module|LKM]]<​code>​sudo ​make</​code> ​La construction terminée produira dans le dossier un fichier **wl.ko** utile pour la mise à jour du pilote. +  - Déplacez-vous dans le dossier ///​lib/​firmware/​ //: <​code>​cd /​lib/​firmware</​code>​ 
-  - Ce pilote utilise%% API cfg80211. %%Il faut pour cela exécuter la [[:commande_shell|commande]] ​<​code>​sudo ​make API=CFG80211</​code>​ +  - [[:archivage|Décompressez-y]] votre archive avec les [[:sudo|droits d'​administration]]:<​code>​sudo ​tar xfvj broadcom-wl-5.100.138.tar.bz2</​code>​ 
-Ne quittez pas le [[:​terminal]] et restez dans le dossier extrait car ce n'est pas fini, nous allons passer à l'​installation du pilote.+  - Nettoyer votre dossier:<​code>​sudo ​rm *.bz2</​code>​ 
 +Redémarrez votre ordinateur.
  
-===Installation === +[[https://help.ubuntu.com/community/WifiDocs/Driver/bcm43xx#​b43_-_No_Internet_access|Autre méthode]] (en)
-<note help>​Sous Ubuntu, les [[:tutoriel/tout_savoir_sur_les_modules_linux|modules]] des pilotes se trouvent dans le dossier **/lib/​modules/<​nom_du_noyau>/​updates/​dkms/​** +
-// Remplacer <​nom_du_noyau>​ par le nom complet du noyau en cours d'​utilisationPour connaître le <​nom_du_noyau>​ en cours, saisir la [[:​commande_shell|commande]]//​ <​code>​uname -r</​code>​ </​note>​ +
-  - Désactiver le pilote en cours d'​utilisation <​code>​sudo rmmod wl</​code>​ +
-  - Sauvegarder l'​ancienne version du fichier **wl.ko** en le renommant **wl.ko.orig** (on ne sais jamais !) <​code>​sudo mv /lib/modules/<​nom_du_noyau>​/updates/​dkms/​wl.ko /​lib/​modules/<​nom_du_noyau>/​updates/​dkms/​wl.ko.orig</​code>​ +
-  ​Copier le fichier **wl.ko** construit précédemment dans le dossier des modules des pilotes <​code>​sudo cp wl.ko /​lib/​modules/<​nom_du_noyau/​updates/​dkms/​wl.ko</​code>​ +
-  - Et pour générer le [[:​tutoriel/​tout_savoir_sur_les_modules_linux|module]]<​code>​sudo depmod</​code>​ +
-  -Pour terminer, activer le pilote <​code>​sudo modprobe wl</​code>​ +
-Le pilote est maintenant à jour et opérationnel. Le redémarrage n'est pas nécessaire.\\ +
- +
-:?: Ne supprimez pas le dossier extrait et son contenu, vous en aurez besoin pour recréer de nouveau ce [[:​tutoriel/​tout_savoir_sur_les_modules_linux|module]] après chaque mise à jour du [[wpfr>​noyau Linux]] car le [[:​tutoriel/​tout_savoir_sur_les_modules_linux|module]] du pilote **wl.ko** ainsi créé ne sera pas chargé dynamiquement. C'est à dire qu'à à chaque mise à jour du [[wpfr>​noyau Linux]], vous reviendrez à l'​ancienne version. \\ +
-Recommencer toute la procédure de mise à jour, la [[#​Construction du pilote|construction]] puis [[#​installation|l'​installation]] pour retrouver à nouveau votre wi-fi opérationnel.+
  
 =====Problèmes connus===== =====Problèmes connus=====
 +==== uEFI: SecureBoot ====
 +<note tip>​depuis uEFI, il faut désactiver le [[desactiver_secure_boot|SecureBoot]] pour que la Carte Broadcom® Wifi fonctionne [[https://​forum.ubuntu-fr.org/​viewtopic.php?​id=1751971|Forum]]</​note>​
 ==== Pensez à vérifier l'​activation du WIFI ==== ==== Pensez à vérifier l'​activation du WIFI ====
  
 Pour réaliser cette vérification,​ ouvrez un [[:​terminal]] et saisissez les [[:​commande_shell|commandes]] suivantes : Pour réaliser cette vérification,​ ouvrez un [[:​terminal]] et saisissez les [[:​commande_shell|commandes]] suivantes :
   * Vérifiez que la carte wifi n'est pas désactivée:​ <​code>​sudo rfkill list</​code>​   * Vérifiez que la carte wifi n'est pas désactivée:​ <​code>​sudo rfkill list</​code>​
-  * Pour activer les cartes wifi:<​code>​sudo rfkill unblock ​wifi</​code>​+  * Pour activer les cartes wifi:<​code>​sudo rfkill unblock ​all</​code>​ 
 +==== Optimiser la carte Wifi ==== 
 +  * Page sur [[:​wifi_optimisation|sur l'​optimisation du wifi]]. 
 +====Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut==== 
 +Bien que votre ordinateur possède une puce wi-fi Broadcom®, le pilote "​Broadcom 802.11 Linux STA driver"​ des dépôts officiels n'est pas installé. Vérifier depuis le [[#Quel pilote utiliser ?|tableau]] que votre puce ne nécessite pas l'​installation du micrologiciel.
  
-====Installer le micrologiciel sans internet ==== +Si non, vous pouvez tenter ​de forcer son l'installation en installant ​le paquet **[[apt>bcmwl-kernel-source]]** qui compilera et chargera le module wl.ko.
- <​note important>​ L'​installation ​de paquets hors des dépôts officiels peut présenter un risque d'​instabilité de votre système</​note>​ +
-Il peut arriver que vous aillez des difficultés à accéder à internet, et donc à installer correctement le micrologiciel Broadcom ®\\ +
-Dans ce cas: +
-  - Téléchargez le pilote [[http://​ftp.psu.ac.th/​pub/​broadcom/​b43-all-fw.tar_.gz|ici]] et sauvegardez-le sur un support externe, +
-  - Copiez [[:​archivage|l'archive]] dans votre dossier personnel,​ +
-  - Puis dans le dossier ///​lib/​firmware/​ // avec la commande suivante que vous entrez dans un [[:​terminal]]:<​code>sudo cp b43-all-fw.tar_.gz /​lib/​firmware/</​code>​ +
-  - Déplacez-vous dans le dossier ///​lib/​firmware/​ //:<​code>​cd /​lib/​firmware</​code>​ +
-  - [[:​archivage|Décompressez-y]] votre archive avec les [[:​sudo|droits d'​administration]]:<​code>​sudo tar xvf b43-all-fw.tar_.gz</​code>​ +
-  - Nettoyer votre dossier:<​code>​sudo rm *.gz</​code>​ +
-Redémarrez votre ordinateur.+
  
-[[https://​help.ubuntu.com/​community/​WifiDocs/​Driver/​bcm43xx#b43_-_No_Internet_access|Autre méthode]] (en)+Essayer la mise à jour [[#via le site officiel]].\\
  
-====Le pilote "​Broadcom 802.11 Linux STA driver"​ ne s'est pas installé par défaut==== 
-Bien que votre ordinateur possède une puce wi-fi Broadcom®, le pilote "​Broadcom 802.11 Linux STA driver"​ des dépôts officiels n'est pas installé. Vérifier depuis le [[#Quel pilote utiliser ?|tableau]] que votre puce ne nécessite pas l'​installation du micrologiciel. Si non, vous pouvez tenter de forcer son l'​installation en [[:​tutoriel/​comment_installer_un_paquet|installant le paquet]] **[[apt>​bcmwl-kernel-source]]** puis essayer la mise à jour [[#via le site officiel]].\\ 
 Peut-être trouverez-vous la solution en consultant les pages des liens du chapitre [[#voir aussi]]. Peut-être trouverez-vous la solution en consultant les pages des liens du chapitre [[#voir aussi]].
  
 +==== Installation bcmwl-kernel-source qui bloque ====
 +Après installation du paquet **bcmwl-kernel-source** suivi d'une mise à jour, la mise à jour reste bloquée sur //DKMS: install completed//​.
 +Purgez votre installation du paquet :<​code>​sudo apt-get remove --purge bcmwl-kernel-source</​code>​
 +Puis réinstallez-[[apt>​bcmwl-kernel-source|le]].
 +Redémarrez votre ordinateur.
 +
 +Infos récupérée sur [[http://​ubuntuforums.org/​showthread.php?​t=1997880|ici]].
 ===== Voir aussi ===== ===== Voir aussi =====
   * **(en)** [[http://​www.broadcom.com/​|Site officiel Broadcom®]]   * **(en)** [[http://​www.broadcom.com/​|Site officiel Broadcom®]]
   * **(en)** [[https://​help.ubuntu.com/​community/​WifiDocs/​Driver/​bcm43xx|Page de "​help.ubuntu.com"​ sur ce sujet]]   * **(en)** [[https://​help.ubuntu.com/​community/​WifiDocs/​Driver/​bcm43xx|Page de "​help.ubuntu.com"​ sur ce sujet]]
   * **(en)** [[https://​launchpad.net/​ubuntu/​+source/​bcmwl|Broadcom® sur Launchpad]]   * **(en)** [[https://​launchpad.net/​ubuntu/​+source/​bcmwl|Broadcom® sur Launchpad]]
 +  * **(en)** [[https://​github.com/​antoineco/​broadcom-wl|Broadcom Linux hybrid wireless driver (64-bit) - antoineco/​broadcom-wl]]
   * **(en)** [[http://​linuxwireless.sipsolutions.net/​en/​users/​Drivers/​b43/​|La page de la Communauté des développeurs Wirless Kernel.org]]   * **(en)** [[http://​linuxwireless.sipsolutions.net/​en/​users/​Drivers/​b43/​|La page de la Communauté des développeurs Wirless Kernel.org]]
 +   * **(fr)** [[http://​www.wifilorraine.com/​|le répéteur wifi]]
  
 ---- ----
  
-//​Contributeur(e)s : [[utilisateurs:​Ju]],​ [[utilisateurs:​nyl]],​ [[utilisateurs:​Id2ndR]],​ [[utilisateurs:​LinuXp0wer]],​ [[utilisateurs:​nlcf]],​ [[utilisateurs:​Futal]],​ [[utilisateurs:​YoBoY]],​ [[utilisateurs:​Tsumugari]],​ [[utilisateurs:​Ner0lph]],​ [[utilisateurs:​thecraft]],​ [[utilisateurs:​anod1]],​ [[utilisateurs:​le0n]],​ [[utilisateurs:​Jackass059]],​ [[utilisateurs:​Ma-Nu]],​ [[utilisateurs:​cngz]],​ [[utilisateurs:​fabien26]],​ [[utilisateurs:​xcxl]],​ [[utilisateurs:​Antonin_Morel]],​ [[utilisateurs:​GottferDamnt]],​ [[utilisateurs:​Id2ndR]],​ [[utilisateurs:​ArcturusM51]],​ [[utilisateurs:​laurentb]],​ [[utilisateurs:​l_africain|L'​Africain]], [[utilisateurs:​Cafecho]].//+//​Contributeur(e)s : [[utilisateurs:​Ju]],​ [[utilisateurs:​nyl]],​ [[utilisateurs:​Id2ndR]],​ [[utilisateurs:​LinuXp0wer]],​ [[utilisateurs:​nlcf]],​ [[utilisateurs:​Futal]],​ [[utilisateurs:​YoBoY]],​ [[utilisateurs:​Tsumugari]],​ [[utilisateurs:​Ner0lph]],​ [[utilisateurs:​thecraft]],​ [[utilisateurs:​anod1]],​ [[utilisateurs:​le0n]],​ [[utilisateurs:​Jackass059]],​ [[utilisateurs:​Ma-Nu]],​ [[utilisateurs:​cngz]],​ [[utilisateurs:​fabien26]],​ [[utilisateurs:​xcxl]],​ [[utilisateurs:​Antonin_Morel]],​ [[utilisateurs:​GottferDamnt]],​ [[utilisateurs:​Id2ndR]],​ [[utilisateurs:​ArcturusM51]],​ [[utilisateurs:​laurentb]],​ [[utilisateurs:​l_africain|L'​Africain]].//​
  • wifi_broadcom_bcm43xx.1423845893.txt.gz
  • Dernière modification: Le 13/02/2015, 17:44
  • par cafecho